1. Tax Payment Batches
  2. Submit a batch
POST
/v1/firms/{firmId}/tax-payment-batches
curl --request POST \
     --url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches \
     --header 'Authorization: Bearer <token>' \
     --header 'x-api-key: <x_api_key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "externalId": "string",
  "items": [
    {
      "taxpayerId": "<uuid>",
      "externalId": "string",
      "taxAccountId": "<uuid>",
      "bankAccountId": "<uuid>",
      "paymentTypeId": 1,
      "periodEndDate": "<date>",
      "paymentDate": "<date>",
      "amount": 0,
      "fundingPace": "RegularDirectDebit"
    }
  ]
}'

​
Authorizations

bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.

​
Query Parameters

firmId
required
string

Unique identifier of the firm.

x-api-key
required
string

API key of your Client Application.

​
Body

application/json
externalId
required
string

Your system's unique identifier for the batch, unique per firm. A second batch with the same value is rejected with 409 Conflict.

items
required
array

The tax payments of the batch, between 1 and 5,000 items.

​
Response

application/json
  • 201

  • 400

  • 401

  • 403

  • 404

  • 409

Created

id
required
string

Unique identifier for the batch.

status
required
string

Requested while the items of the batch are processed, Processed when every item has succeeded or failed.

Available options: Requested, Processed
totalItems
required
integer

Number of items in the batch.